Search found 2585 matches

Go to advanced search

by mario52
Wed Jun 26, 2019 5:55 pm
Forum: Python scripting and macros
Topic: Macro_Connect_And_Sweep
Replies: 8
Views: 379

Re: Macro_Connect_And_Sweep

hi i have upgrade my macro (available with AddonManager), i separate the mode: 1: Object to Object 2: Object to SubObject 3: SubObject to SubObject (by default) and if one object wire line arc is selected the forme is created in the direction of the object example selected line = point begin to poin...
by mario52
Thu Jun 20, 2019 9:18 am
Forum: Python scripting and macros
Topic: Macro_Connect_And_Sweep
Replies: 8
Views: 379

Re: Macro_Connect_And_Sweep

Hi thanks for report i use the code import FreeCADGui, Draft sel = FreeCADGui.Selection.getSelection() print(len(sel)) two points selected in the same line (object) : < and 0.17 give 2 0.18 and > give 1 change in FC or bug ?? pending my correction you can create a point at the begin and end line and...
by mario52
Tue Jun 18, 2019 11:34 am
Forum: Python scripting and macros
Topic: Macro_Connect_And_Sweep
Replies: 8
Views: 379

Re: Macro_Connect_And_Sweep

Hi michael.h thanks for apreciate my litle macro, the macro work with 0.16, 0.17, 0.18, 0.18 pre, 0.19 (16993Git), 0.19 (16687Git) the only little problem "Recompute" with Lune , i have corrected it now (ver 0.6) Hi Marco! Err: Select twoo objects (1 object(s) selected) for this error (1 object(s) s...
by mario52
Wed Jun 12, 2019 3:46 pm
Forum: Python scripting and macros
Topic: FCCircularText Macro fails
Replies: 4
Views: 159

Re: FCCircularText Macro fails

hi

i have modified my macro FCCircularText and FCInfo i change the "°" with chr(176)

also :

chr(178) #exposant 2
chr(179) #exposant 3
chr(181) #micro

now the download is good but the problem stay for the other macros contend "éçà... "

mario
by mario52
Wed Jun 12, 2019 11:29 am
Forum: Python scripting and macros
Topic: [FR] macro to remap sketch to different reference
Replies: 31
Views: 1060

Re: [FR] macro to remap sketch to different reference

hi

@openBrain

can you make icons for your macros (for the toolbar).

mario
by mario52
Wed Jun 12, 2019 11:15 am
Forum: Draft, Arch & BIM
Topic: Property angle of axes doesn't work
Replies: 13
Views: 521

Re: Property angle of axes doesn't work

hi

comportment normal ; base height 3m

if the angle change the end line go up to height 3m and may seem infinite if the angle is small

AxisArch00.png
AxisArch00.png (11.3 KiB) Viewed 311 times
mario
by mario52
Mon Jun 03, 2019 9:02 am
Forum: Python scripting and macros
Topic: How can I add an icon to a window GUI?
Replies: 3
Views: 252

Re: How can I add an icon to a window GUI?

hi here example we create a window with a QLabel() text + image import PySide from PySide import QtGui ,QtCore from PySide.QtGui import QPixmap, QMovie, QLabel from PySide.QtCore import * class MyLabelPatience(): label = QtGui.QLabel() label.setText("<img src=" + path_Name_Image + "><b><center>Wait ...
by mario52
Mon Jun 03, 2019 8:45 am
Forum: Forum français
Topic: Faire des vidéo d'écran de FreeCAD
Replies: 4
Views: 165

Re: Faire des vidéo d'écran de FreeCAD

Bonjour

j'utilise screentogif vous pouvez ajouter du texte, une barre de progression, une légende et d'autres choses ...

mario

Go to advanced search